#include <stdint.h>
#include "led_ring_hw.h"

sbit     LRR_LAT  at   GPIO_PORT_24_31.B4;
sbit     LRR_RST  at   GPIO_PORT_00_07.B1;


void main()
{
     uint8_t test_bfr[4];
     uint8_t i = 0;
     uint16_t var_time = 500;
     uint32_t led = 0x00000001;

     // set latch and reset pins as output
     GPIO_Pin_Digital_Output( _GPIO_PIN_NUM_1 );
     GPIO_Pin_Digital_Output( _GPIO_PIN_NUM_28 );

     // initialize SPI
     SPIM1_Init_Advanced(_SPI_MASTER_CLK_RATIO_64,
                        _SPI_CFG_PHASE_CAPTURE_FALLING |
                        _SPI_CFG_POLARITY_IDLE_LOW |
                        _SPI_CFG_SS_AUTO_DISABLE |
                        _SPI_CFG_FIFO_DISABLE,
                        _SPI_SS_LINE_NONE );

     led_ring_hal_init();
     led_ring_start();

     test_bfr[0] = 0xAA;
     test_bfr[1] = 0xAA;
     test_bfr[2] = 0xAA;
     test_bfr[3] = 0xAA;

     led_ring_hal_write(&test_bfr, 4); // demonstration of HAL write function
     led_ring_latch();

     Delay_ms(1000);

     led_ring_send_32 ( 0xFAFAFAFA ); // demonstration of writing 4 bytes

     Delay_ms(2000);
     led_ring_send_8 ( test_bfr[0] ); // writing one byte at a time
     led_ring_send_8 ( test_bfr[0] );
     led_ring_send_8 ( test_bfr[0] );
     led_ring_send_8 ( test_bfr[0] );

     while (1)
     {
       led_ring_send_32 ( led );   // dot circling faster and faster
       vDelay_ms(var_time);
       led = led << 1;
       if (led == 0)
       {
          led = 1;
          i++;
          if (i == 0)
            var_time = 500;
          else if (i == 1)
            var_time = 250;
          else if (i == 2)
            var_time = 100;
          else if (i == 3)
            var_time = 50;
          else if ( i == 4 )
          {
              var_time = 500;
              i = 0;
          }
       }
     }
}