/****************************************************************************
* Title                 :   LED Ring click
* Filename              :   led_ring_hal.h
* Author                :   VM
* Origin Date           :   28/01/2016
* Notes                 :   None
*****************************************************************************/
/**************************CHANGE LIST **************************************
*
*    Date    Software Version    Initials     Description
*  14/06/16    1.0.0               VM      Interface Created.
*
*****************************************************************************/
/**
 * @file led_ring_hal.h
 *  @brief HAL for working with the LED Ring Click board
 *
 *  @date 14 Jun 2016
 *  @author Viktor Milovanovic
 *  @copyright GNU Public License
 *
 *  @version 1 - Initial testing and verification
 *
 *  @note Test configuration:
 *   MCU:             STM32F107VC
 *   Dev.Board:       EasyMx Pro v7
 *   Oscillator:      72 Mhz internal
 *   Ext. Modules:    GPS Click
 *   SW:              ARM 4.5.2
 *
 */
#ifndef LED_RING_HAL_H_
#define LED_RING_HAL_H_
/******************************************************************************
* Includes
*******************************************************************************/
#include "stdint.h"
/******************************************************************************
* Preprocessor Constants
*******************************************************************************/

/******************************************************************************
* Configuration Constants
*******************************************************************************/

/******************************************************************************
* Macros
*******************************************************************************/
        
/******************************************************************************
* Typedefs
*******************************************************************************/

/******************************************************************************
* Variables
*******************************************************************************/

/******************************************************************************
* Function Prototypes
*******************************************************************************/
#ifdef __cplusplus
extern "C"{
#endif

void led_ring_hal_init();

void led_ring_hal_reset();

void led_ring_hal_write( uint8_t *buffer,
                    uint16_t count );

#ifdef __cplusplus
} // extern "C"
#endif

#endif

/*** End of File **************************************************************/